# Import setuptools before distutils, as suggested in the warning:
# """
# /usr/lib/python3/dist-packages/_distutils_hack/__init__.py:18:
# UserWarning: Distutils was imported before Setuptools, but importing Setuptools also replaces the
# `distutils` module in `sys.modules`.
# This may lead to undesirable behaviors or errors. To avoid these issues, avoid using distutils
# directly, ensure that setuptools is installed in the traditional way (e.g. not an editable
# install), and/or make sure that setuptools is always imported before distutils.
# """
--- python-sabyenc-5.4.3.orig/setup.py
+++ python-sabyenc-5.4.3/setup.py
@@ -26,6 +26,7 @@ import sys
 import platform
 import re
 import tempfile
+from setuptools import distutils
 from distutils.ccompiler import CCompiler
 from distutils.errors import CompileError
 from typing import Type
